//
//  FileFilter.java
//  rapidinvoicing
//
//  Created by m3the01 on 11/07/07.
//  Copyright 2007 TopTech-StevenEliuk. All rights reserved.
//
import java.io.*;

/******************************************************************
 *class type: general
 *FileChooser is used to open a new file chooser and return the 
 *user selected file. That is if the file conforms to the file
 *filters in place.
 *****************************************************************/
public class FileFilter extends javax.swing.filechooser.FileFilter {

    private String typeString;
	
    public FileFilter(String type){
		this.typeString = type;		
    }
	
    public boolean accept(File file) {
		String fileName = file.getName().toLowerCase();
		return file.isDirectory() || fileName.endsWith("." + this.typeString) || fileName.endsWith(".jpg");
    }
    
    /***************************************************************
     *Gives description for the type of files contained
     **************************************************************/
    public String getDescription() {
		if(this.typeString.equals("tif"))
			return "Sitemap files";
		return this.typeString + " files";
    }
}